flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aha...@apache.org
Subject [2/2] git commit: [flex-sdk] [refs/heads/develop] - add license warning for OFL fonts
Date Thu, 11 Dec 2014 16:39:47 GMT
add license warning for OFL fonts


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/74c699fd
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/74c699fd
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/74c699fd

Branch: refs/heads/develop
Commit: 74c699fd5563ce9311d3ed41c415a22153eabe33
Parents: 7196902
Author: Alex Harui <aharui@apache.org>
Authored: Thu Dec 11 08:38:15 2014 -0800
Committer: Alex Harui <aharui@apache.org>
Committed: Thu Dec 11 08:39:36 2014 -0800

----------------------------------------------------------------------
 apache-flex-sdk-installer-config.xml  |  8 ++++++++
 installer.properties/en_US.properties | 27 ++++++++-------------------
 installer.xml                         | 25 ++++++++++++++++++++++++-
 3 files changed, 40 insertions(+), 20 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/74c699fd/apache-flex-sdk-installer-config.xml
----------------------------------------------------------------------
diff --git a/apache-flex-sdk-installer-config.xml b/apache-flex-sdk-installer-config.xml
index 16be8db..71692b8 100755
--- a/apache-flex-sdk-installer-config.xml
+++ b/apache-flex-sdk-installer-config.xml
@@ -332,6 +332,14 @@
 			<license>Mozilla 公共授權合約 1.1 版</license>
 		</zh_TW>
 	</component>
+    <component id="OFL Fonts (Required)" required="true" property="do.ofl.fonts.install">
+        <en_US>
+            <label>Font Awesome and Lato Fonts (Required)</label>
+            <message>The FlatSpark theme uses fonts licensed under the Open Font License.
 Do you want to install the Font Awesome and Lato Fonts?</message>
+            <license>SIL Open Font License</license>
+            <licenseURL>http://scripts.sil.org/OFL</licenseURL>
+        </en_US>
+    </component>
 	<component id="FontSWF (Optional)" required="false" property="do.fontswf.install">
 		<de_DE>
 			<label>Adobe Bibliothek zur Einbettung von Schriften (Optional)</label>

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/74c699fd/installer.properties/en_US.properties
----------------------------------------------------------------------
diff --git a/installer.properties/en_US.properties b/installer.properties/en_US.properties
index d9d2256..66b232d 100644
--- a/installer.properties/en_US.properties
+++ b/installer.properties/en_US.properties
@@ -65,28 +65,16 @@ Apache Flex SDK uses the SWFObject when building Adobe Flash applications.\n\
 SWFObject is subject to and governed by the\n\
 MIT License Agreement specified here:\n\
 http://opensource.org/licenses/mit-license.php.\n\
-This license is not compatible with the Apache v2 license.\n\
+This license is compatible with the Apache v2 license.\n\
 Do you want to download and install the SWFObject?
 
-blazeds.prompt.text=\
-Apache Flex can optionally integrate with Adobe BlazeDS.\n\
-This feature requires flex-messaging-common.jar from the Adobe Flex SDK.\n\
-The Adobe SDK license agreement for Adobe Flex 4.6 applies to this jar.\n\
+ofl.prompt.text=\
+Apache Flex SDK uses the Font Awesome and Lato fonts in the FlatSpark theme.\n\
+The SIL Open Font License apply to these fonts.\n\
+You may obtain a copy of the License here:\n\
+http://scripts.sil.org/OFL\n\
 This license is not compatible with the Apache v2 license.\n\
-\n\
-Adobe Flex SDK License Agreement:\n\
-\n\
-All files contained in this Adobe Flex SDK download are subject to and governed by the\n\
-Adobe Flex SDK License Agreement specified here: \n\
-    http://www.adobe.com/products/eulas/pdfs/adobe_flex_software_development_kit-combined-20110916_0930.pdf,
\n\
-By downloading, modifying, distributing, using and/or accessing any files in this Adobe Flex
SDK, \n\
-you agree to the terms and conditions of the applicable end user license agreement.\n\
-\n\
-In addition to the Adobe license terms, you also agree to be bound by the third-party terms
specified here: \n\
-    http://www.adobe.com/products/eula/third_party/. \n\
-Adobe recommends that you review these third-party terms.\n\
-\n\
-Do you want to install this jar from the Adobe Flex SDK?
+Do you want to install these fonts?
 
 fontswf.prompt.text=\
 Apache Flex can optionally integrate with Adobe's embedded font support.\n\
@@ -114,6 +102,7 @@ install.complete.echo=${basedir} is now an IDE compatible folder
 find.java.echo.pattern=Java is $${java.executable}
 mac.copy.echo.pattern=Copying files from $${download.dir}/airsdk/$${srcdir} to $${destdir}
 
+ERROR_REQUIRED_LICENSE=Required license not accepted.  Canceling installation.
 INFO_DOWNLOADING_AIR_RUNTIME_KIT_MAC=Downloading Adobe AIR Runtime Kit for Mac from: 
 INFO_DOWNLOADING_AIR_RUNTIME_KIT_WINDOWS=Downloading Adobe AIR Runtime Kit for Windows from:

 INFO_FINISHED_UNTARING=Finished untaring: 

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/74c699fd/installer.xml
----------------------------------------------------------------------
diff --git a/installer.xml b/installer.xml
index 5ce2918..1440655 100644
--- a/installer.xml
+++ b/installer.xml
@@ -128,6 +128,9 @@
     <condition property="fontswf.donot.ask" value="true">
         <isset property="installer" />
     </condition>
+    <condition property="ofl.donot.ask" value="true">
+        <isset property="installer" />
+    </condition>
     
     <condition property="java.home" value="${env.JAVA_HOME}">
         <and>
@@ -234,7 +237,7 @@
         </fail>
     </target>
     
-    <target name="ask-licenses" depends="ask-air,ask-flash,ask-swfobject,ask-adobe-osmf,ask-adobe-fontswf"
description="Ask about the various licenses">
+    <target name="ask-licenses" depends="ask-air,ask-flash,ask-swfobject,ask-ofl,ask-adobe-osmf,ask-adobe-fontswf"
description="Ask about the various licenses">
 	</target>
     
     <target name="ask-air" unless="air.donot.ask"
@@ -248,6 +251,7 @@
         <condition property="do.air.install">
             <equals arg1="${yes}" arg2="${input.air.download}"/>
         </condition>
+        <fail message="${ERROR_REQUIRED_LICENSE}" unless="do.air.install" />
         <!-- Only ask once per ant run.  -->
         <property name="air.donot.ask" value="set"/>
     </target>
@@ -263,6 +267,7 @@
         <condition property="do.flash.install">
             <equals arg1="${yes}" arg2="${input.flash.download}"/>
         </condition>
+        <fail message="${ERROR_REQUIRED_LICENSE}" unless="do.flash.install" />
         <!-- Only ask once per ant run.  -->
         <property name="flash.donot.ask" value="set"/>
     </target>
@@ -278,10 +283,27 @@
         <condition property="do.swfobject.install">
             <equals arg1="${yes}" arg2="${input.swfobject.download}"/>
         </condition>
+        <fail message="${ERROR_REQUIRED_LICENSE}" unless="do.swfobject.install" />
         <!-- Only ask once per ant run.  -->
         <property name="swfobject.donot.ask" value="set"/>
     </target>
 
+    <target name="ask-ofl" unless="ofl.donot.ask"
+        description="Prompt the user before downloading OFL Fonts">
+        
+        <input
+        message="${ofl.prompt.text}"
+        validargs="${yes.no.prompts}"
+        defaultvalue="${no}"
+        addproperty="input.ofl.download"/>
+        <condition property="do.ofl.install">
+            <equals arg1="${yes}" arg2="${input.ofl.download}"/>
+        </condition>
+        <fail message="${ERROR_REQUIRED_LICENSE}" unless="do.ofl.install" />
+        <!-- Only ask once per ant run.  -->
+        <property name="ofl.donot.ask" value="set"/>
+    </target>
+
     <target name="ask-adobe-osmf" unless="osmf.donot.ask"
         description="Prompt the user before downloading OSMF">
         
@@ -293,6 +315,7 @@
         <condition property="do.osmf.install">
             <equals arg1="${yes}" arg2="${input.osmf.download}"/>
         </condition>
+        <fail message="${ERROR_REQUIRED_LICENSE}" unless="do.osmf.install" />
         <!-- Only ask once per ant run.  -->
         <property name="osmf.donot.ask" value="set"/>
     </target>


Mime
View raw message